Download it now!
Bug 62538 - libcdr: cdr import faulty -> Incorrect alignment of the ellipses
Summary: libcdr: cdr import faulty -> Incorrect alignment of the ellipses
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.2.1 rc
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-19 19:23 UTC by ralf.krapf
Modified: 2013-11-20 13:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original Corel File (17.71 KB, application/vnd.corel-draw)
2013-03-19 19:23 UTC, ralf.krapf
Details
Original Corel File (17.71 KB, application/vnd.corel-draw)
2013-03-19 19:25 UTC, ralf.krapf
Details
Wrong Import (8.76 KB, application/vnd.oasis.opendocument.graphics)
2013-03-19 19:25 UTC, ralf.krapf
Details
Screenshot (135.95 KB, image/png)
2013-03-19 19:25 UTC, ralf.krapf
Details
Screenshot (135.95 KB, image/png)
2013-03-19 19:27 UTC, ralf.krapf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ralf.krapf 2013-03-19 19:23:03 UTC
Hi

Reproduce the bug:
Step 1:
- Import the attached Example1.cdr in LibreOffice
-> The ellipses does not have the correct alignment ( wrong by 90 degree)

System:
-Windows 7
-CorelDraw X5 15.2.0.686
-LibreOffice 4.0.2.1 (RC)

Attachment:
- Screenshot.png
- Example1.cdr (original file)
- Example1.odt (imported file)

Thanks
Ralf
Comment 1 ralf.krapf 2013-03-19 19:23:43 UTC
Created attachment 76764 [details]
Original Corel File
Comment 2 ralf.krapf 2013-03-19 19:25:01 UTC
Created attachment 76765 [details]
Original Corel File
Comment 3 ralf.krapf 2013-03-19 19:25:35 UTC
Created attachment 76766 [details]
Wrong Import
Comment 4 ralf.krapf 2013-03-19 19:25:51 UTC
Created attachment 76767 [details]
Screenshot
Comment 5 ralf.krapf 2013-03-19 19:27:05 UTC
Created attachment 76768 [details]
Screenshot
Comment 6 Commit Notification 2013-04-07 20:55:48 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29339357cfba19e80c3687639fe33e847d3e6f93

Uploading libcdr-0.0.12: fixing fdo#62538 and fdo#53278



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-04-08 08:51:34 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c20aca4c8554c8b164605d8fb1708d9f87092a2&h=libreoffice-4-0

Uploading libcdr-0.0.12: fixing fdo#62538 and fdo#53278


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Lior Kaplan 2013-04-18 14:16:32 UTC
The commit says it fixes this bug, can we close it? Can someone verify the fix?
Comment 9 ralf.krapf 2013-04-18 16:30:37 UTC
(In reply to comment #8)
> The commit says it fixes this bug, can we close it? Can someone verify the
> fix?

As soon Libreoffice 4.0.3 RC1 is available, i will verify the fix.

Ralf
Comment 10 ralf.krapf 2013-04-18 19:57:56 UTC
Tested in Libreoffice 4.0.3.1 -> it works (as expectec :) ) perfect!

I marked it as "Fixed"


Thanks Ralf
Comment 11 Lior Kaplan 2013-04-26 08:07:57 UTC
(In reply to comment #10)
> Tested in Libreoffice 4.0.3.1 -> it works (as expectec :) ) perfect!

Marked as verified. Thanks.